## visad.data.netcdf.in
Class View.Domain

    java.lang.Object
      visad.data.netcdf.in.View.Domain

Enclosing class:
  View

protected abstract class View.Domain
extends Object

The convention-dependent domain of a netCDF variable.

Constructor Summary
`protected` `View.Domain(Variable var)` Constructs from a netCDF variable.

Method Summary
`abstract boolean` `equals(Object obj)` Indicates if this instance equals an object.
`protected abstract VirtualField` `getVirtualField(VirtualTuple range)` Returns a `VirtualField` corresponding to this domain and a given range.
`abstract int` `hashCode()` Returns the hash code of this instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### View.Domain

    protected View.Domain(Variable var)

  Constructs from a netCDF variable.

Throws:
  `NullPointerException` - if the argument is `null`.
  `IllegalArgumentException` - if the rank of the variable is 0.

Method Detail

### getVirtualField

    protected abstract VirtualField getVirtualField(VirtualTuple range)
                                             throws VisADException,
                                                    IOException

  Returns a `VirtualField` corresponding to this domain and a given range.

  Parameters:
    `range` - The range for the `VirtualField`.
  Throws:
    `NullPointerException` - if the argument is `null`.
    `IOException` - if a netCDF read-error occurs.
    `VisADException` - if a VisAD object can't be created.

### equals

    public abstract boolean equals(Object obj)

  Indicates if this instance equals an object.

  Parameters:
    `obj` - The object to be compared against.
  Returns:
    `true` if and only if this instance equals the object.

### hashCode

    public abstract int hashCode()

  Returns the hash code of this instance.

  Returns:
    The hash code of this instance.